# QAbstractNetworkCache Class Reference

### [com.trolltech.qt.network package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QAbstractNetworkCache prototype object

### Prototype Object Properties

The QAbstractNetworkCache prototype object inherits properties from the QObject prototype object and also has the following properties.

- qint64 cacheSize()
- QIODevice data(QUrl url)
- void insert(QIODevice device)
- QNetworkCacheMetaData metaData(QUrl url)
- QIODevice prepare(QNetworkCacheMetaData metaData)
- bool remove(QUrl url)
- void updateMetaData(QNetworkCacheMetaData metaData)

### Instance Properties

QAbstractNetworkCache objects have no special properties beyond those inherited from the QAbstractNetworkCache prototype object.